import { Params } from '../interface/core.interface';

export class GetCategoriesAction {
  static readonly type = '[Category] Get';
  constructor(public payload?: Params) {}
}

export class GetSearchByCategoryAction {
  static readonly type = '[CategoryBySearch] Get';
  constructor(public payload?: Params) {}
}

export class GetCategoryBySlugAction {
  static readonly type = '[Category] Get Category By Slug';
  constructor(public slug: string) {}
}
